Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 169795

Summary: Review Request: gsynaptics
Product: [Fedora] Fedora Reporter: Thorsten Leemhuis <fedora>
Component: Package ReviewAssignee: John Mahowald <jpmahowald>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andreas, christoph.wickert, fedora-extras-list
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/gsynaptics-0.9.4-1.src.rpm
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-22 19:45:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Thorsten Leemhuis 2005-10-03 17:57:39 UTC
Spec Name or Url: 
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/gsynaptics.spec

SRPM Name or Url: 
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/gsynaptics-0.9.4-1.src.rpm

Description: 
A GTK-GUI setting tool for Synaptics touchpad driver to set scrolling and
taping preferences.

Comment 1 Ignacio Vazquez-Abrams 2005-10-03 18:42:45 UTC
Just a quick language edit.

"Settings tool for Synaptics touchpad driver"

"A GTK+ tool to set scroll and tap preferences for the Synaptics touchpad driver."

A mechanism for adding this to the session automagically would be nice, but I
suppose that's an UPSTREAM issue.

Comment 2 Thorsten Leemhuis 2005-10-04 18:08:05 UTC
Spec Name or Url: 
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/gsynaptics.spec

SRPM Name or Url: 
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/gsynaptics-0.9.4-2.src.rpm

Changelog:
- Improved Summary and description as suggested by ignacio

Comment 3 John Mahowald 2005-10-16 15:26:21 UTC
* license good, text in %doc
* name follows guidelines
* spec file easily read
* good use of macros
* rpmlint clean
* used %find_lang macro
* sources match upstream
* no missing/unneeded BuildRequires

APPROVED

I could not test this, however, someone with a touchpad will have to.

Comment 4 Thorsten Leemhuis 2005-10-16 15:45:36 UTC
(In reply to comment #3)
> [...] APPROVED
>
> I could not test this, however, someone with a touchpad will have to.

I tested it on my notebook, but I would be glad if someone else could give it a
short try. But if no one steps up in the next days I'm going to import it to cvs
and build it.

Comment 5 Thorsten Leemhuis 2005-10-22 19:45:19 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > [...] APPROVED
> > I could not test this, however, someone with a touchpad will have to.
> I tested it on my notebook, but I would be glad if someone else could give it a
> short try. But if no one steps up in the next days I'm going to import it to cvs
> and build it.

Imported, updated owners.list, requested branches for FC4 and FC3, build for
devel succeed. 

Note, I'll add a ExcludeArch: ppc ppc64 to the FC4 version because synaptics is
 missing for FC4-pcc (its available for rawhide-ppc). I won't open a bug in
bugzilla as required by the PackageReviewGuidelines. This is IMHO unnecessary in
this situation because this bug would probably never be fixed. If someone
disagrees with my decision please yell here or on fedora-extras-list!

Comment 6 John Mahowald 2005-10-22 20:00:59 UTC
> Note, I'll add a ExcludeArch: ppc ppc64 to the FC4 version because synaptics
> is missing for FC4-pcc (its available for rawhide-ppc).

Be sure to add a comment to that effect in the spec file.

Comment 7 Christoph Wickert 2008-03-04 23:08:42 UTC
Thorsten, now after bug # 242323 is closed could you please build this one for
ppc64, so I can build my xfce4-gsynaptics-mcs-plugin? TIA

Comment 8 Thorsten Leemhuis 2008-03-05 10:29:59 UTC
(In reply to comment #7)
> Thorsten, now after bug # 242323 is closed could you please build this one for
> ppc64, so I can build my xfce4-gsynaptics-mcs-plugin? TIA

ixs owns it these days 

Comment 9 Christoph Wickert 2008-07-27 00:49:42 UTC
I have updated to 0.9.14 and built for ppc64 now, so I'm removing the blocker on
bug #433892.